SDL_GetPathInfo(3)

NAME
SDL_GetPathInfo - Get information about a filesystem path.

SYNOPSIS
#include <SDL3/SDL_filesystem.h>

bool SDL_GetPathInfo(const char *path, SDL_PathInfo *info);

DESCRIPTION
Symlinks, on filesystems that support them, are always followed, so you will always get information on what the symlink eventually points to, and not the symlink itself.

FUNCTION PARAMETERS

path
    the path to query.

info
    a pointer filled in with information about the path, or NULL to check for the existence of a file.

RETURN VALUE
Returns true on success or false if the file doesn't exist, or another failure; call SDL_GetError() for more information.

THREAD SAFETY
It is safe to call this function from any thread.

AVAILABILITY
This function is available since SDL 3.2.0.